<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="generator" content="Docutils 0.21.2: https://docutils.sourceforge.io/" />
<title>journal</title>
<link rel="stylesheet" href="../style.css" type="text/css" />
</head>
<body>
<div class="document" id="journal">
<span id="ext-journal"></span>
<h1 class="title">journal</h1>

<div class="contents htmlonly topic" id="contents">
<p class="topic-title"><a class="reference internal" href="#top">Contents</a></p>
<ul class="simple">
<li><a class="reference internal" href="#description" id="toc-entry-1">Description</a></li>
<li><a class="reference internal" href="#commands" id="toc-entry-2">Commands</a><ul>
<li><a class="reference internal" href="#change-organization" id="toc-entry-3">Change organization</a></li>
</ul>
</li>
</ul>
</div>
<p>track previous positions of bookmarks (EXPERIMENTAL)</p>
<div class="section" id="description">
<h1><a class="toc-backref" href="#contents">Description</a></h1>
<p>This extension adds a new command: <cite>hg journal</cite>, which shows you where
bookmarks were previously located.</p>
</div>
<div class="section" id="commands">
<h1><a class="toc-backref" href="#contents">Commands</a></h1>
<div class="section" id="change-organization">
<h2><a class="toc-backref" href="#contents">Change organization</a></h2>
<div class="section" id="journal-1">
<h3>journal</h3>
<p>show the previous position of bookmarks and the working copy:</p>
<pre class="literal-block">
hg journal [OPTION]... [BOOKMARKNAME]
</pre>
<p>The journal is used to see the previous commits that bookmarks and the
working copy pointed to. By default the previous locations for the working
copy.  Passing a bookmark name will show all the previous positions of
that bookmark. Use the --all switch to show previous locations for all
bookmarks and the working copy; each line will then include the bookmark
name, or '.' for the working copy, as well.</p>
<p>If <cite>name</cite> starts with <cite>re:</cite>, the remainder of the name is treated as
a regular expression. To match a name that actually starts with <cite>re:</cite>,
use the prefix <cite>literal:</cite>.</p>
<p>By default hg journal only shows the commit hash and the command that was
running at that time. -v/--verbose will show the prior hash, the user, and
the time at which it happened.</p>
<p>Use -c/--commits to output log information on each commit hash; at this
point you can use the usual <cite>--patch</cite>, <cite>--git</cite>, <cite>--stat</cite> and <cite>--template</cite>
switches to alter the log output for these.</p>
<p><cite>hg journal -T json</cite> can be used to produce machine readable output.</p>
<p>Options:</p>
<table class="docutils option-list" frame="void" rules="none">
<col class="option" />
<col class="description" />
<tbody valign="top">
<tr><td class="option-group">
<kbd><span class="option">--all</span></kbd></td>
<td>show history for all names</td></tr>
<tr><td class="option-group">
<kbd><span class="option">-c</span>, <span class="option">--commits</span></kbd></td>
<td>show commit metadata</td></tr>
<tr><td class="option-group">
<kbd><span class="option">-p</span>, <span class="option">--patch</span></kbd></td>
<td>show patch</td></tr>
<tr><td class="option-group">
<kbd><span class="option">-g</span>, <span class="option">--git</span></kbd></td>
<td>use git extended diff format</td></tr>
<tr><td class="option-group" colspan="2">
<kbd><span class="option">-l</span>, <span class="option">--limit <var>&lt;NUM&gt;</var></span></kbd></td>
</tr>
<tr><td>&nbsp;</td><td>limit number of changes displayed</td></tr>
<tr><td class="option-group">
<kbd><span class="option">--stat</span></kbd></td>
<td>output diffstat-style summary of changes</td></tr>
<tr><td class="option-group" colspan="2">
<kbd><span class="option">--style <var>&lt;STYLE&gt;</var></span></kbd></td>
</tr>
<tr><td>&nbsp;</td><td>display using template map file (DEPRECATED)</td></tr>
<tr><td class="option-group" colspan="2">
<kbd><span class="option">-T</span>, <span class="option">--template <var>&lt;TEMPLATE&gt;</var></span></kbd></td>
</tr>
<tr><td>&nbsp;</td><td>display with template</td></tr>
</tbody>
</table>
</div>
</div>
</div>
</div>
</body>
</html>
